> ## Documentation Index
> Fetch the complete documentation index at: https://docs.peec.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Topics

> List the topics of a project



## OpenAPI

````yaml https://api.peec.ai/customer/v1/openapi/json get /topics
openapi: 3.0.3
info:
  title: Peec AI Customer API
  description: Development documentation
  version: 1.0.0
  contact:
    name: Peec AI Team
    email: support@peec.ai
servers:
  - url: https://api.peec.ai/customer/v1
security: []
paths:
  /topics:
    get:
      tags:
        - Project
      summary: List Topics
      description: List the topics of a project
      operationId: getTopics
      parameters:
        - name: project_id
          in: query
          required: false
          schema:
            description: Required if using a company api key
            example: or_f45b94ba-5e35-4982-93ed-285e72ee14eb
            type: string
        - name: limit
          in: query
          required: false
          schema:
            default: 1000
            type: number
            minimum: 1
            maximum: 10000
        - name: offset
          in: query
          required: false
          schema:
            default: 0
            type: number
            minimum: 0
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: to_5524d66a-df1e-47e4-9dbc-802af39235ad
                        name:
                          type: string
                          example: SEO
                      required:
                        - id
                        - name
                  total_count:
                    type: number
                    example: 42
                    description: Total number of matching topics, ignoring pagination
                  totalCount:
                    type: number
                    example: 42
                    description: Total number of matching topics, ignoring pagination
                    deprecated: true
                required:
                  - data
                  - total_count
                  - totalCount
                description: Success
      security:
        - APIKeyHeader: []
        - APIKeyQuery: []
        - BearerAuth: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````